For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • GETGet list of SMS routing entries
        • POSTCreate a new SMS routing entry
        • GETFetch SMS routing entry by ID
        • DELDelete an SMS routing entry
        • PATCHUpdate an SMS routing entry
        • GETGet list of SMS routing data
        • POSTCreate SMS routing data
        • DELDelete SMS routing data
        • PATCHUpdate SMS routing data
LogoLogo
Request featuresContact support
API ReferenceSms Routing

Get list of SMS routing data

GET
https://cdn.emnify.net/api/v1/sms_routing/:routing_id/data
GET
/api/v1/sms_routing/:routing_id/data
$curl https://cdn.emnify.net/api/v1/sms_routing/routing_id/data \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": 1.1,
4 "sms_routing_id": "string",
5 "country": {
6 "id": 1,
7 "name": "string",
8 "country_code": 1,
9 "mcc": 1,
10 "iso_code": "string",
11 "latitude": 1.1,
12 "longitude": 1.1
13 },
14 "smpp_bind": {
15 "system_id": "string",
16 "smpp_bind_status_id": "string",
17 "id": 1
18 },
19 "operator": {
20 "country_id": "string",
21 "name": "string",
22 "country_name": "string",
23 "id": 1,
24 "country": {
25 "id": 1,
26 "name": "string",
27 "country_code": 1,
28 "mcc": 1,
29 "iso_code": "string",
30 "latitude": 1.1,
31 "longitude": 1.1
32 },
33 "tapcodes": "string",
34 "mncs": "string"
35 },
36 "msisdn_pool": {
37 "resource_provider_id": "string",
38 "description": "string",
39 "id": 1
40 },
41 "gt_config": {
42 "imsi_prefix": "string",
43 "calling_party": "string",
44 "called_party_tt": "string",
45 "id": 1
46 },
47 "sccp_called_party_prefix": {
48 "prefix": "string",
49 "tt": "string",
50 "id": 1
51 }
52 }
53]
Returns a list of SMS routing data belonging to the specified SMS routing entry. Only returns data if the requested SMS routing entry belongs to the logged in organization or is configured as the default route.
Was this page helpful?
Previous

Update an SMS routing entry

Next

Create SMS routing data

Built with

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

routing_idstringRequired

Response

OK
iddouble
sms_routing_idstring
countryobject
smpp_bindobject
operatorobject
msisdn_poolobject
gt_configobject
sccp_called_party_prefixobject

Errors

403
Forbidden Error